<!DOCTYPE html>
<html lang="en">

<head>
  <title>390.30 Pre Jquery Skill</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>

  <div class="container">
    <div class="text-center my-4">
      <h2>Danh sách học sinh</h2>
    </div>

    <table id = "table-hoc-sinh" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>Mã HS</th>
          <th>Tên HS</th>
          <th>Tuổi</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>13528</td>
          <td>John</td>
          <td>23</td>
          <td>...</td>
        </tr>
        <tr>
          <td>23528</td>
          <td>Mary</td>
          <td>42</td>
          <td>...</td>
        </tr>
  
      </tbody>
    </table>
  </div>
  ​
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // hàm xử lý sự kiện nút UserData click
    function onBtnHocSinhDataClick(paramHocSinhDataButton) {
      console.log("Nút Học sinh được ấn ....!");
      // lấy dữ liệu
      var vHocSinhID = $(paramHocSinhDataButton).data("hocsinhid");   //tạo jquery element từ dom, và lấy data
      var vHocSinhName = $(paramHocSinhDataButton).data("hocsinhname");

      console.log( "Dữ liệu học sinh:  " + vHocSinhID + " " + vHocSinhName);
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    
  </script>

<!-- <h2 class = "text-success"> bạn hãy thử vào console TỪNG HÀNG SAU  để có cảm nhận</h2>
  // 1 thao tác với html trên cả hàng
  var vNewRow = $("&lttr&gt").appendTo($("#table-hoc-sinh"));  //tạo row mới
  vNewRow.html( "&lttd&gt b10 &lt/td&gt &lttd&gt Mạnh &lt/td&gt &lttd&gt 25&lt/td&gt &lttd&gt...&lt/td&gt"); //giá trị cả hàng
  vNewRow.html( "&lttd&gt b10 &lt/td&gt &lttd&gt Mạnh &lt/td&gt &lttd&gt 25&lt/td&gt &lttd&gt&ltbutton&gt Chi tiết &lt/button&gt &lt/td&gt"); //giá trị cả hàng,có button
  vNewRow.html( "&lttd&gt b10 &lt/td&gt &lttd&gt Mạnh &lt/td&gt &lttd&gt 25&lt/td&gt &lttd&gt&ltbutton class = 'btn btn-primary'&gt Chi tiết &lt/button&gt &lt/td&gt"); //chỉnh button cho đẹp 
  
  // 2 làm từng ô
  vNewRow.html("&lttd&gt 10 &lt/td&gt");  //hàng với 1 ô
  $("&lttd&gt").html("Nguyễn Nam").appendTo( vNewRow ); //thêm 1 ô
  $("&lttd&gt").html("20").appendTo( vNewRow ); // thêm 1 ô
  
  // 3 tạo hàng mới và xử lý cho nút
  vNewRow.html( "&lttd&gt b10 &lt/td&gt &lttd&gt Mạnh &lt/td&gt &lttd&gt 25&lt/td&gt &lttd&gt&ltbutton class = 'btn btn-primary btn-detail'&gt Chi tiết &lt/button&gt &lt/td&gt");
  $(".btn-detail").on("click",function() {  console.log("button ..."); } );  //chỉnh nội dung của hàng với nút có hàm xử lý click
  // án nút để thử
  
  // 4 tạo hàng mới và gán xử lý bằng hàm có sẵn 
  var vNewRow = $("&lttr&gt").appendTo($("#table-hoc-sinh")); //tạo hàng mới
  vNewRow.html( "&lttd&gt 200&lt/td&gt &lttd&gt Hoa &lt/td&gt&lttd&gt 20&lt/td&gt");  // gán 1 số ô, chưa có nút
  
  var vNewButton = $("&ltbutton&gt").html("Chi tiết").addClass("btn btn-success btn-hoc-sinh").data("hocsinhid",200).data("hocsinhname","Hoa"); //tọa nút, gán dữ liệu, và gán class selector là btn-hoc-sinh
  
  var vNewTd = $("&lttd&gt").appendTo(vNewRow); // ô mới, gắn vào hàng 
  
  vNewButton.appendTo(vNewTd); //gắn button vào ô 
  
  $(".btn-hoc-sinh").on("click", function () { onBtnHocSinhDataClick(this); } );    // gán sự kiện cho Nút, hàm onBtnHocSinhDataClick đã được viết sẵn (xem code)
  // án nút để thử  -->


</body>

</html>
